Claimable items (by store order)
Endpoint: /go/packageOpenApiWeb/OpenApiV2/ClaimItemsQuery
Section titled “Endpoint: /go/packageOpenApiWeb/OpenApiV2/ClaimItemsQuery”Returns the items under a store order that are eligible for a claim.
See API reference · ClaimItemsQuery for the complete schema.
Notes:
claimInsuranceTypeis an int32 (3for shipping protection,4for product protection); do not send the string"3".- For this endpoint,
datais the item array itself, that is,data: [...]. Do not parse it asdata.claimItems.ServiceClaimItemQueryis the endpoint that returnsdata.claimItems. - The maximum claimable quantity uses the JSON key
maxItemNum;itemUnitPriceis a string. claimpayoutTypeis deprecated. Ignore it if an existing response still includes the value0.
Request examples
Section titled “Request examples”{ "orderId": "1234567890", "claimInsuranceType": 3}{ "orderId": "1234567890", "claimInsuranceType": 4}Response example
Section titled “Response example”{ "errCode": 0, "errMsg": "success", "data": [ { "productId": "", "itemId": "ITEM001", "skuId": "SKU001", "orderGoodsId": "", "variantId": "", "planId": "", "itemNum": 0, "maxItemNum": 1, "pic": "https://cdn.example.com/img/abc.jpg", "itemName": "Extended Warranty - Phone", "itemUnitPrice": "9.99", "itemSumPrice": "9.99", "priceCurrency": "USD", "claimApplyMoney": "", "claimReviewMoney": "", "claimType": 0, "claimState": 0, "xmhServiceId": "PP2024010100001", "leftClaimAmount": "50.00" } ]}